Support » Plugin: Enable Media Replace » Compile Error for wordpress 5.4 with enable media replace 3.3.11

  • Hey there,
    I got a fatal error from media replace that stopped my website to function (luckily I was able to disable the plugin through recovery mode).

    Here is the error:
    An error of type E_COMPILE_ERROR was caused in line 2 of the file /var/www/html/homepageame.com/public_html/wp-content/plugins/enable-media-replace/classes/replacer.php.
    Error message: Namespace declaration statement has to be the very first statement or after any declare call in the script

    Here is a screenshot of the error: https://i.imgur.com/gEq85YR.png

Viewing 2 replies - 1 through 2 (of 2 total)
  • I just checked on aonther site of mine: There I don’t have the problem. It seems like this does not happen for every wordpress site with 5.4.

    The one in question runs on the following system:
    Server
    Server architecture Linux 4.15.0-66-generic x86_64
    Web server Apache/2.4.29 (Ubuntu)
    PHP version 7.2.24-0ubuntu0.18.04.3 (Supports 64bit values)
    Database
    Extension mysqli
    Server version 5.7.29-0ubuntu0.18.04.1
    Client version mysqlnd 5.0.12-dev – 20150407 – $Id: 3591daad22de08524295e1bd073aceeff11e6579 $

    Plugin Support Gerard Blanco

    (@sixaxis)

    Hi @johannesdeml,

    Does this always happen? I mean, what if you re-activate the plugin? Do you still get the error?

    Thank you,

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.